# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "altcoin/version"

Gem::Specification.new do |s|
  s.name        = "altcoin"
  s.version     = Altcoin::VERSION
  s.platform    = Gem::Platform::RUBY
  s.authors     = ["Ethan Barron"]
  s.email       = ["ebarron@uco.edu"]
  s.homepage    = "https://github.com/Inkybro/altcoin"
  s.summary     = "A Ruby Library for dealing with crypto currencies, inspired and based off of the Money gem."
  s.description = "A Ruby Library for dealing with crypto currencies, inspired and based off of the Money gem."
  s.license     = "MIT"

  s.add_dependency "i18n", "~> 0.6.4"
  s.add_dependency "money", "6.1.1"

  s.add_development_dependency "bundler", "~> 1.3"
  s.add_development_dependency "rake"
  s.add_development_dependency "rspec", "~> 2.14"
  s.add_development_dependency "yard", "~> 0.8"
  s.add_development_dependency "kramdown", "~> 1.1"

  s.files         = `git ls-files`.split($/)
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})
  s.require_paths = ["lib"]
end
